## python-castellan 5.4.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0
cryptography>=2.7 # BSD/Apache-2.0
python-barbicanclient>=5.5.0 # Apache-2.0
oslo.config>=6.4.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
requests>=2.18.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-castellan (5.4.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 13:19:13 -0700

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-barbicanclient (>= 5.5.0),
 python3-cryptography (>= 2.7),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-castellan
Homepage: https://github.com/openstack/castellan
Testsuite: autopkgtest-pkg-python

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-barbicanclient (>= 5.5.0),
 python3-cryptography (>= 2.7),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.18.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Breaks: python-castellan (<< 1.2.2-0ubuntu2~)
Replaces: python-castellan (<< 1.2.2-0ubuntu2~)
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=castellan
UPSTREAM_GIT := https://github.com/openstack/castellan.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

	mkdir -p $(CURDIR)/debian/tmp/etc/castellan
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/tmp/etc/castellan/castellan.conf \
		--wrap-width 140 \
		--namespace castellan.config

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'castellan\.tests\.unit.*'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-castellan-doc/usr/share/doc/python-castellan-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    https://tarballs.opendev.org/openstack/castellan/ castellan-(\d.*)\.tar\.gz

## python-castellan 5.5.0

=== debian/changelog ===
python-castellan (5.5.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 5.5.0
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 13:25:50 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    https://tarballs.opendev.org/openstack/castellan/ castellan-(\d.*)\.tar\.gz

## python-castellan 5.6.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 pbr>=2.0.0 # Apache-2.0
 cryptography>=2.7 # BSD/Apache-2.0
 python-barbicanclient>=5.5.0 # Apache-2.0
-oslo.config>=6.4.0 # Apache-2.0
+oslo.config>=9.3.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
python-castellan (5.6.0-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-gazpacho.debian.net>  Tue, 24 Feb 2026 11:43:31 +0000

python-castellan (5.6.0-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 12:40:17 +0100

python-castellan (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-privacy-breach-from-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 12:31:54 +0100

python-castellan (5.4.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1049009).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 11:31:50 +0100

python-castellan (5.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 11:54:34 +0200

python-castellan (5.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 11:50:40 +0200
